## org.apache.myfaces.el
Class MethodBindingImpl

    java.lang.Object
      javax.faces.el.MethodBinding
          org.apache.myfaces.el.MethodBindingImpl

All Implemented Interfaces:
  javax.faces.component.StateHolder

public class MethodBindingImpl
extends javax.faces.el.MethodBinding
implements javax.faces.component.StateHolder

Version:
  $Revision: 278654 $ $Date: 2005-09-04 20:32:35 -0400 (Sun, 04 Sep 2005) $
Author:
  Anton Koinov (latest modification by $Author: oros $)

Constructor Summary
`MethodBindingImpl()` Empty constructor, so that new instances can be created when restoring state.
`MethodBindingImpl(javax.faces.application.Application application, java.lang.String reference, java.lang.Class[] argClasses)`

Method Summary
`java.lang.String` `getExpressionString()`
`java.lang.Class` `getType(javax.faces.context.FacesContext facesContext)`
`java.lang.Object` `invoke(javax.faces.context.FacesContext facesContext, java.lang.Object[] args)`
`boolean` `isTransient()`
`protected java.lang.Object[]` `resolveToBaseAndProperty(javax.faces.context.FacesContext facesContext)`
`void` `restoreState(javax.faces.context.FacesContext facescontext, java.lang.Object obj)`
`java.lang.Object` `saveState(javax.faces.context.FacesContext facescontext)`
`void` `setTransient(boolean flag)`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MethodBindingImpl

    public MethodBindingImpl(javax.faces.application.Application application,
                             java.lang.String reference,
                             java.lang.Class[] argClasses)

### MethodBindingImpl

    public MethodBindingImpl()

  Empty constructor, so that new instances can be created when restoring state.

Method Detail

### getExpressionString

    public java.lang.String getExpressionString()

### getType

    public java.lang.Class getType(javax.faces.context.FacesContext facesContext)

### invoke

    public java.lang.Object invoke(javax.faces.context.FacesContext facesContext,
                                   java.lang.Object[] args)
                            throws javax.faces.el.EvaluationException,
                                   javax.faces.el.MethodNotFoundException

  Throws:
    `javax.faces.el.EvaluationException`
    `javax.faces.el.MethodNotFoundException`

### resolveToBaseAndProperty

    protected java.lang.Object[] resolveToBaseAndProperty(javax.faces.context.FacesContext facesContext)
                                                   throws javax.servlet.jsp.el.ELException

  Throws:
    `javax.servlet.jsp.el.ELException`

### toString

    public java.lang.String toString()

### saveState

    public java.lang.Object saveState(javax.faces.context.FacesContext facescontext)

  Specified by:
    `saveState` in interface `javax.faces.component.StateHolder`

### restoreState

    public void restoreState(javax.faces.context.FacesContext facescontext,
                             java.lang.Object obj)

  Specified by:
    `restoreState` in interface `javax.faces.component.StateHolder`

### isTransient

    public boolean isTransient()

  Specified by:
    `isTransient` in interface `javax.faces.component.StateHolder`

### setTransient

    public void setTransient(boolean flag)

  Specified by:
    `setTransient` in interface `javax.faces.component.StateHolder`